Orca API 
=========

orca.learn.bigdl.estimator
---------------------------

.. automodule:: bigdl.orca.learn.bigdl.estimator
    :members:
    :undoc-members:
    :show-inheritance:


orca.learn.tf.estimator
------------------------

.. automodule:: bigdl.orca.learn.tf.estimator
    :members:
    :undoc-members:
    :show-inheritance:


orca.learn.tf2.estimator
-------------------------

.. automodule:: bigdl.orca.learn.tf2.estimator
    :members:
    :undoc-members:
    :show-inheritance:


orca.learn.tf2.tf2_ray_estimator
^^^^^^^^^^^^^^^^^^^^^^^^^^^

Orca TF2Estimator with backend of "horovod" or "ray".

.. autoclass:: bigdl.orca.learn.tf2.ray_estimator.TensorFlow2Estimator
    :members:
    :undoc-members:
    :show-inheritance:


orca.learn.tf2.tf2_spark_estimator
^^^^^^^^^^^^^^^^^^^^^^^^^^^

Orca TF2Estimator with backend of "spark".

.. autoclass:: bigdl.orca.learn.tf2.pyspark_estimator.SparkTFEstimator
    :members:
    :undoc-members:
    :show-inheritance:


orca.learn.pytorch.estimator
-----------------------------

.. automodule:: bigdl.orca.learn.pytorch.estimator
    :members:
    :undoc-members:
    :show-inheritance:


orca.learn.pytorch.pytorch_ray_estimator
^^^^^^^^^^^^^^^^^^^^^^^^^^^

Orca Pytorch Estimator with backend of "horovod" or "ray".

.. autoclass:: bigdl.orca.learn.pytorch.pytorch_ray_estimator.PyTorchRayEstimator
    :members:
    :undoc-members:
    :show-inheritance:


orca.learn.pytorch.pytorch_spark_estimator
^^^^^^^^^^^^^^^^^^^^^^^^^^^

Orca Pytorch Estimator with backend of "bigdl".

.. autoclass:: bigdl.orca.learn.pytorch.pytorch_spark_estimator.PyTorchSparkEstimator
    :members:
    :undoc-members:
    :show-inheritance:


orca.learn.openvino.estimator
------------------------------

.. automodule:: bigdl.orca.learn.openvino.estimator
    :members:
    :undoc-members:
    :show-inheritance:


AutoML
------------------------------

.. toctree::
    :maxdepth: 2

    automl.rst